Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetDeviceCommandUtils

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.bean.InetDeviceCommandUtils

public class InetDeviceCommandUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDeviceCommandUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `generateCommands(String text, String template, List<String> addresses, Map<String,String> replacements, String optionConfig)`
  Формирует команды для шлюза.
  `static final String`
  `generateCommands(String text, Map<String,String> replacements, String optionConfig, List<InetCommandLoopPattern> loops)`
  Формирует команды для шлюза.
  `static final String`
  `generateCommands(String text, Pattern pattern, List<String> addresses, Map<String,String> replacements, String optionConfig)`
  Формирует команды для шлюза.
  `static List<InetCommandLoopPattern>`
  `getAddresLoops(List<String> addresses)`
  строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetDeviceCommandUtils

    public InetDeviceCommandUtils()

- ## Method Details

  - ### generateCommands

    public static final String generateCommands(String text, String template, List<String> addresses, Map<String,String> replacements, String optionConfig)
    Формирует команды для шлюза.
    Parameters:
      `text` -
      `template` -
      `addresses` -
      `replacements` -
      `optionConfig` -
    Returns:

  - ### generateCommands

    public static final String generateCommands(String text, Pattern pattern, List<String> addresses, Map<String,String> replacements, String optionConfig)
    Формирует команды для шлюза.
    Parameters:
      `text` -
      `addresses` -
      `replacements` -
      `optionConfig` -
      `template` -
    Returns:

  - ### getAddresLoops

    public static List<InetCommandLoopPattern> getAddresLoops(List<String> addresses)
    строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей
    Parameters:
      `addressList` -
    Returns:

  - ### generateCommands

    public static final String generateCommands(String text, Map<String,String> replacements, String optionConfig, List<InetCommandLoopPattern> loops)
    Формирует команды для шлюза.
    Parameters:
      `text` -
      `replacements` -
      `optionConfig` -
      `loops` -
    Returns: